/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG PVDEC pixel Registers
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_PVDEC_PIXEL_REGS_H
#define _IMG_PVDEC_PIXEL_REGS_H

#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_OFFSET		(0x0000)

/* PVDEC_PIXEL, CR_PIXEL_SOFT_RESET, CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET */
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_MASK		(0x10000000)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_SHIFT		(28)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_RENDEC_DEC_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_SOFT_RESET, CR_MSVDX_VDMC_VDEB_SOFT_RESET */
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_MASK		(0x00200000)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_SHIFT		(21)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VDMC_VDEB_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_SOFT_RESET, CR_MSVDX_VEC_BE_SOFT_RESET */
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_MASK		(0x00100000)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_SHIFT		(20)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_BE_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_SOFT_RESET, CR_PVDEC_VEC_SOFT_RESET */
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_MASK		(0x00040000)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_SHIFT		(18)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_PVDEC_VEC_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_SOFT_RESET, CR_MSVDX_VEC_FE_SOFT_RESET */
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_SOFT_RESET_CR_MSVDX_VEC_FE_SOFT_RESET_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_OFFSET		(0x0004)

/* PVDEC_PIXEL, CR_PIXEL_CONTROL_0, CR_DMAC_CH_SEL_FOR_MTX */
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_MASK		(0x0000000E)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_SHIFT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_LENGTH		(3)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_DMAC_CH_SEL_FOR_MTX_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CONTROL_0, CR_PROC_DMAC_CH0_SEL */
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CONTROL_0_CR_PROC_DMAC_CH0_SEL_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_OFFSET		(0x0008)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_MASK		(0x80000000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_SHIFT		(31)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_SLICE_SKIPPED_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_CMD_SPACE_AVAILABLE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_MASK		(0x40000000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_SHIFT		(30)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_CMD_SPACE_AVAILABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_BE_WDT_CM0 */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_MASK		(0x20000000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_SHIFT		(29)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_BE_WDT_CM0_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_VDEB_FAULT_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_MASK		(0x00800000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_SHIFT		(23)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FAULT_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_PIXEL_DMAC_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_MASK		(0x00700000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_SHIFT		(20)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_LENGTH		(3)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PIXEL_DMAC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_VDEB_FLUSH_DONE_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_MASK		(0x00080000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_SHIFT		(19)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_FLUSH_DONE_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_VDEB_SLICE_DONE_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_MASK		(0x00040000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_SHIFT		(18)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_SLICE_DONE_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_VDEB_PICTURE_DONE_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_MASK		(0x00020000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_SHIFT		(17)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDEB_PICTURE_DONE_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_VDMC_IRQ */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_VDMC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_FE_WDT_CM1 */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_MASK		(0x00002000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_SHIFT		(13)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM1_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_FE_WDT_CM0 */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_MASK		(0x00001000)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_SHIFT		(12)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_FE_WDT_CM0_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_PVDEC_VEC_MEM_TO_REG_DONE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_MASK		(0x00000400)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_SHIFT		(10)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_MEM_TO_REG_DONE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_PVDEC_VEC_END_OF_PICTURE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_MASK		(0x00000200)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_SHIFT		(9)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_END_OF_PICTURE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_PVDEC_VEC_GENC_FREE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_PVDEC_VEC_GENC_FREE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_END_OF_SLICE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_MASK		(0x00000080)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_SHIFT		(7)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_END_OF_SLICE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_MTXBLOCK */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_MASK		(0x00000040)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_SHIFT		(6)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_MTXBLOCK_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_UNDERFLOW */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_MASK		(0x00000020)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_SHIFT		(5)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_UNDERFLOW_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_OVERFLOW */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_MASK		(0x00000010)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_SHIFT		(4)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_OVERFLOW_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_RENDEC_ERROR */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_MASK		(0x00000008)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_SHIFT		(3)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_RENDEC_ERROR_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_MASK		(0x00000004)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_SHIFT		(2)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_ENTDEC_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_ERROR_DETECTED_SR */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_MASK		(0x00000002)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_SHIFT		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_ERROR_DETECTED_SR_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_STATUS, CR_MSVDX_VEC_END_OF_SLICE */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_STATUS_CR_MSVDX_VEC_END_OF_SLICE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_OFFSET		(0x000C)

/* PVDEC_PIXEL, CR_PIXEL_INTERRUPT_CLEAR, CR_PIXEL_IRQ_CLEAR */
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_LENGTH		(32)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_INTERRUPT_CLEAR_CR_PIXEL_IRQ_CLEAR_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_OFFSET		(0x0010)

/* PVDEC_PIXEL, CR_PIXEL_HOST_INTERRUPT_ENABLE, CR_HOST_IRQ_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_OFFSET		(0x0014)

/* PVDEC_PIXEL, CR_PIXEL_PROC1_INTERRUPT_ENABLE, CR_PROC1_IRQ_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_OFFSET		(0x0018)

/* PVDEC_PIXEL, CR_PIXEL_PROC2_INTERRUPT_ENABLE, CR_PROC2_IRQ_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_OFFSET		(0x0020)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_MASK		(0x80000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_SHIFT		(31)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_MASK		(0x40000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_SHIFT		(30)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_SCALE_BE_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_MASK		(0x20000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_SHIFT		(29)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_BE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_SCALE_FE_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_MASK		(0x10000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_SHIFT		(28)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_SCALE_FE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_MASK		(0x08000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_SHIFT		(27)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_MASK		(0x04000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_SHIFT		(26)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_MASK		(0x02000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_SHIFT		(25)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_MASK		(0x01000000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_SHIFT		(24)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_MASK		(0x00800000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_SHIFT		(23)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDMC4_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_MASK		(0x00200000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_SHIFT		(21)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC4_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDMC3_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_MASK		(0x00100000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_SHIFT		(20)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC3_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDMC2_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_MASK		(0x00080000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_SHIFT		(19)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC2_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_VDMC1_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_MASK		(0x00040000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_SHIFT		(18)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_VDMC1_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PIXEL_REG_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_MASK		(0x00020000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_SHIFT		(17)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_REG_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PIXEL_DMAC_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PIXEL_DMAC_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PVDEC_VEC_REG_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_MASK		(0x00000800)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_SHIFT		(11)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_REG_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_MASK		(0x00000400)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_SHIFT		(10)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_MASK		(0x00000200)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_SHIFT		(9)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_MASK		(0x00000080)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_SHIFT		(7)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_MASK		(0x00000040)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_SHIFT		(6)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_REGS_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_MASK		(0x00000020)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_SHIFT		(5)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_BE_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_MASK		(0x00000010)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_SHIFT		(4)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_BE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_MASK		(0x00000008)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_SHIFT		(3)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_DEC_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_MASK		(0x00000004)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_SHIFT		(2)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_MASK		(0x00000002)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_SHIFT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MAN_CLK_ENABLE, CR_MSVDX_VEC_FE_MAN_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MAN_CLK_ENABLE_CR_MSVDX_VEC_FE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_OFFSET		(0x0028)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_MASK		(0x80000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_SHIFT		(31)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_HLP_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_MASK		(0x40000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_SHIFT		(30)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_SHARED_BM_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_MASK		(0x20000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_SHIFT		(29)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_BE_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_MASK		(0x10000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_SHIFT		(28)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_SCALE_FE_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_MASK		(0x08000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_SHIFT		(27)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_PVDEC_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_MASK		(0x04000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_SHIFT		(26)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_2_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_MASK		(0x02000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_SHIFT		(25)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_PROCESS_MSVDX_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_MASK		(0x01000000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_SHIFT		(24)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_PVDEC_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_MASK		(0x00800000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_SHIFT		(23)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDEB_ACCESS_MSVDX_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDMC4_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_MASK		(0x00200000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_SHIFT		(21)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC4_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDMC3_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_MASK		(0x00100000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_SHIFT		(20)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC3_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDMC2_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_MASK		(0x00080000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_SHIFT		(19)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC2_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_VDMC1_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_MASK		(0x00040000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_SHIFT		(18)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_VDMC1_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PIXEL_REG_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_MASK		(0x00020000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_SHIFT		(17)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_REG_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PIXEL_DMAC_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PIXEL_DMAC_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_MASK		(0x00000800)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_SHIFT		(11)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_REG_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_MASK		(0x00000400)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_SHIFT		(10)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_COMMAND_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_MASK		(0x00000200)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_SHIFT		(9)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_RESIDUAL_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_STRUCT_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_MASK		(0x00000080)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_SHIFT		(7)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_PVDEC_VEC_GDEC_FRGMT_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_MASK		(0x00000040)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_SHIFT		(6)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_REGS_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_MASK		(0x00000020)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_SHIFT		(5)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_ITRANS_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_MASK		(0x00000010)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_SHIFT		(4)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_BE_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_MASK		(0x00000008)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_SHIFT		(3)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_DEC_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_MASK		(0x00000004)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_SHIFT		(2)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP2_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_MASK		(0x00000002)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_SHIFT		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_GRP1_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_AUTO_CLK_ENABLE, CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_AUTO_CLK_ENABLE_CR_MSVDX_VEC_FE_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_OFFSET		(0x0030)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_MASK		(0x80000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_SHIFT		(31)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_HLP_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_MASK		(0x40000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_SHIFT		(30)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_SHARED_BM_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_SCALE_BE_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_MASK		(0x20000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_SHIFT		(29)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_BE_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_SCALE_FE_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_MASK		(0x10000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_SHIFT		(28)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_SCALE_FE_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_PROCESS_PVDEC_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_MASK		(0x08000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_SHIFT		(27)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_PVDEC_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_MASK		(0x04000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_SHIFT		(26)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_2_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_PROCESS_MSVDX_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_MASK		(0x02000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_SHIFT		(25)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_PROCESS_MSVDX_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_ACCESS_PVDEC_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_MASK		(0x01000000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_SHIFT		(24)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_PVDEC_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDEB_ACCESS_MSVDX_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_MASK		(0x00800000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_SHIFT		(23)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDEB_ACCESS_MSVDX_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDMC4_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_MASK		(0x00200000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_SHIFT		(21)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC4_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDMC3_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_MASK		(0x00100000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_SHIFT		(20)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC3_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDMC2_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_MASK		(0x00080000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_SHIFT		(19)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC2_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_VDMC1_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_MASK		(0x00040000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_SHIFT		(18)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_VDMC1_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PIXEL_REG_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_MASK		(0x00020000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_SHIFT		(17)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_REG_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PIXEL_DMAC_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PIXEL_DMAC_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PVDEC_VEC_REG_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_MASK		(0x00000800)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_SHIFT		(11)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_REG_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PVDEC_VEC_COMMAND_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_MASK		(0x00000400)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_SHIFT		(10)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_COMMAND_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PVDEC_VEC_RESIDUAL_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_MASK		(0x00000200)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_SHIFT		(9)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_RESIDUAL_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_STRUCT_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_MASK		(0x00000080)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_SHIFT		(7)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_PVDEC_VEC_GDEC_FRGMT_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_REGS_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_MASK		(0x00000040)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_SHIFT		(6)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_REGS_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_ITRANS_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_MASK		(0x00000020)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_SHIFT		(5)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_ITRANS_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_BE_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_MASK		(0x00000010)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_SHIFT		(4)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_BE_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_DEC_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_MASK		(0x00000008)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_SHIFT		(3)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_DEC_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_FE_GRP2_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_MASK		(0x00000004)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_SHIFT		(2)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP2_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_FE_GRP1_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_MASK		(0x00000002)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_SHIFT		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_GRP1_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_CLK_STATUS, CR_MSVDX_VEC_FE_CLK_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_CLK_STATUS_CR_MSVDX_VEC_FE_CLK_STATUS_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_OFFSET		(0x0040)

/* PVDEC_PIXEL, CR_MSVDX_VEC_RENDEC_SPACE, CR_MSVDX_VEC_RENDEC_READ_AVAILABLE */
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_MASK		(0x00000010)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_SHIFT		(4)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_READ_AVAILABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_VEC_RENDEC_SPACE, CR_MSVDX_VEC_RENDEC_WRITE_SPACE */
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_SHIFT		(0)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_LENGTH		(1)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_MSVDX_VEC_RENDEC_SPACE_CR_MSVDX_VEC_RENDEC_WRITE_SPACE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_OFFSET		(0x0050)

/* PVDEC_PIXEL, CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE, CR_DMAC_STREAM_INTERRUPT_ENABLE */
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_MASK		(0x0000000F)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_LSBMASK		(0x0000000F)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_LENGTH		(4)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_INTERRUPT_ENABLE_CR_DMAC_STREAM_INTERRUPT_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_OFFSET		(0x0054)

/* PVDEC_PIXEL, CR_PIXEL_DMAC_STREAM_STATUS, CR_PIXEL_DMAC_STREAM_STATUS */
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_MASK		(0x0000000F)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_LSBMASK		(0x0000000F)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_LENGTH		(4)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_DMAC_STREAM_STATUS_CR_PIXEL_DMAC_STREAM_STATUS_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_OFFSET		(0x0060)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_CNT_CTRL */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_MASK		(0x00060000)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_SHIFT		(17)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_LENGTH		(2)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CNT_CTRL_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_ENABLE */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_MASK		(0x00010000)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_SHIFT		(16)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_ACTION1 */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_MASK		(0x00003000)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_SHIFT		(12)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_LENGTH		(2)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION1_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_ACTION0 */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_SHIFT		(8)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_LENGTH		(1)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_ACTION0_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_CLEAR_SELECT */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_MASK		(0x00000030)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_SHIFT		(4)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_LENGTH		(2)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLEAR_SELECT_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_CONTROL, FE_WDT_CLKDIV_SELECT */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_MASK		(0x00000007)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_SHIFT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_LENGTH		(3)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_CONTROL_FE_WDT_CLKDIV_SELECT_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_OFFSET		(0x0064)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDTIMER, FE_WDT_COUNTER */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_SHIFT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_LENGTH		(16)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDTIMER_FE_WDT_COUNTER_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_OFFSET		(0x0068)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_COMPAREMATCH, FE_WDT_CM1 */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_MASK		(0xFFFF0000)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_SHIFT		(16)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_LENGTH		(16)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_DEFAULT		(65535)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM1_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MSVDX_FE_WDT_COMPAREMATCH, FE_WDT_CM0 */
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_SHIFT		(0)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_LENGTH		(16)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_DEFAULT		(65535)
#define PVDEC_PIXEL_CR_MSVDX_FE_WDT_COMPAREMATCH_FE_WDT_CM0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_OFFSET		(0x0070)

/* PVDEC_PIXEL, CR_BE_WDT_CONTROL, BE_WDT_ENABLE */
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_MASK		(0x01000000)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_SHIFT		(24)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_LENGTH		(1)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_BE_WDT_CONTROL, BE_WDT_CNT_CTRL */
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_MASK		(0x001F0000)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_LSBMASK		(0x0000001F)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_SHIFT		(16)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_LENGTH		(5)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CNT_CTRL_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_BE_WDT_CONTROL, BE_WDT_ACTION0 */
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_SHIFT		(8)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_LENGTH		(1)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_ACTION0_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_BE_WDT_CONTROL, BE_WDT_CLEAR_SELECT */
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_MASK		(0x000000F0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_LSBMASK		(0x0000000F)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_SHIFT		(4)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_LENGTH		(4)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLEAR_SELECT_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_BE_WDT_CONTROL, BE_WDT_CLKDIV_SELECT */
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_MASK		(0x00000007)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_SHIFT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_LENGTH		(3)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_CONTROL_BE_WDT_CLKDIV_SELECT_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_BE_WDTIMER_OFFSET		(0x0074)

/* PVDEC_PIXEL, CR_BE_WDTIMER, BE_WDT_COUNTER */
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_SHIFT		(0)
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_LENGTH		(16)
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_DEFAULT		(0)
#define PVDEC_PIXEL_CR_BE_WDTIMER_BE_WDT_COUNTER_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_OFFSET		(0x0078)

/* PVDEC_PIXEL, CR_BE_WDT_COMPAREMATCH, BE_WDT_CM0 */
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_SHIFT		(0)
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_LENGTH		(16)
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_DEFAULT		(65535)
#define PVDEC_PIXEL_CR_BE_WDT_COMPAREMATCH_BE_WDT_CM0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_OFFSET		(0x0080)

/* PVDEC_PIXEL, CR_PVDEC_COMMAND_SPACE, CR_PVDEC_CMD_BUFFER_SPACE */
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_SHIFT		(0)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_LENGTH		(32)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_DEFAULT		(128)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_SPACE_CR_PVDEC_CMD_BUFFER_SPACE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_OFFSET		(0x0084)

/* PVDEC_PIXEL, CR_PVDEC_COMMAND_BUFFER_CTRL, CR_PVDEC_CMD_BUFFER_THRESHOLD */
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_MASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_LSBMASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_SHIFT		(0)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_LENGTH		(8)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_DEFAULT		(128)
#define PVDEC_PIXEL_CR_PVDEC_COMMAND_BUFFER_CTRL_CR_PVDEC_CMD_BUFFER_THRESHOLD_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_OFFSET		(0x0090)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_DMAC, CR_MEM_SECURITY_DMAC_CTRL */
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_LENGTH		(16)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_DMAC_CR_MEM_SECURITY_DMAC_CTRL_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_OFFSET		(0x0094)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_VEC_0, CR_MEM_SECURITY_VEC_CTRL_0 */
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_LENGTH		(32)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_0_CR_MEM_SECURITY_VEC_CTRL_0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_OFFSET		(0x0098)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_VEC_1, CR_MEM_SECURITY_VEC_CTRL_1 */
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_LENGTH		(32)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VEC_1_CR_MEM_SECURITY_VEC_CTRL_1_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_OFFSET		(0x009C)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_VDMC_0, CR_MEM_SECURITY_VDMC_CTRL_0 */
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_MASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_LSBMASK		(0x0000FFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_LENGTH		(16)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDMC_0_CR_MEM_SECURITY_VDMC_CTRL_0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_OFFSET		(0x00A4)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_VDEB_0, CR_MEM_SECURITY_VDEB_CTRL_0 */
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_LENGTH		(32)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_VDEB_0_CR_MEM_SECURITY_VDEB_CTRL_0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_OFFSET		(0x00AC)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_TRUSTED		(IMG_TRUE)

/* PVDEC_PIXEL, CR_MEM_SECURITY_SCALE_0, CR_MEM_SECURITY_SCALE_CTRL_0 */
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_MASK		(0x00000001)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_SHIFT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_LENGTH		(1)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_DEFAULT		(0)
#define PVDEC_PIXEL_CR_MEM_SECURITY_SCALE_0_CR_MEM_SECURITY_SCALE_CTRL_0_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_OFFSET		(0x00C0)

/* PVDEC_PIXEL, CR_PIXEL_PIPE_CONFIG, CR_PIXEL_PIPE_CONFIG */
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_LENGTH		(32)
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_PIPE_CONFIG_CR_PIXEL_PIPE_CONFIG_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_OFFSET		(0x00C4)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_HEVC_64K_STILL_PICTURE_SUPPORTED */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_MASK		(0x01000000)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_SHIFT		(24)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_64K_STILL_PICTURE_SUPPORTED_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_PIXEL_PIPE_INDEX */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_MASK		(0x00070000)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_LENGTH		(3)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_PIXEL_PIPE_INDEX_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_NUM_STREAMS */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_MASK		(0x00003000)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_SHIFT		(12)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_LENGTH		(2)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_NUM_STREAMS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_SCALING_SUPPORTED */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_MASK		(0x00000200)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_SHIFT		(9)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_SCALING_SUPPORTED_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_ROTATION_SUPPORTED */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_MASK		(0x00000100)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_ROTATION_SUPPORTED_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_HEVC_REXT_SUPPORTED */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_MASK		(0x00000080)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_LSBMASK		(0x00000001)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_SHIFT		(7)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_LENGTH		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_REXT_SUPPORTED_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_MAX_BIT_DEPTH_MINUS8 */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_MASK		(0x00000070)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_LSBMASK		(0x00000007)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_SHIFT		(4)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_LENGTH		(3)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_MAX_BIT_DEPTH_MINUS8_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_HEVC_MAX_CHROMA_FORMAT */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_MASK		(0x0000000C)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_SHIFT		(2)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_LENGTH		(2)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_HEVC_MAX_CHROMA_FORMAT_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MISC_CONFIG, CR_H264_MAX_CHROMA_FORMAT */
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_MASK		(0x00000003)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_LSBMASK		(0x00000003)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_LENGTH		(2)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_DEFAULT		(1)
#define PVDEC_PIXEL_CR_PIXEL_MISC_CONFIG_CR_H264_MAX_CHROMA_FORMAT_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_OFFSET		(0x00C8)

/* PVDEC_PIXEL, CR_MAX_FRAME_CONFIG, CR_PVDEC_VER_MSB */
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_MASK		(0x1F000000)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_LSBMASK		(0x0000001F)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_SHIFT		(24)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_LENGTH		(5)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_DEFAULT		(15)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_VER_MSB_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MAX_FRAME_CONFIG, CR_PVDEC_HOR_MSB */
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_MASK		(0x001F0000)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_LSBMASK		(0x0000001F)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_SHIFT		(16)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_LENGTH		(5)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_DEFAULT		(15)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_PVDEC_HOR_MSB_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MAX_FRAME_CONFIG, CR_MSVDX_VER_MSB */
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_MASK		(0x00001F00)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_LSBMASK		(0x0000001F)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_SHIFT		(8)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_LENGTH		(5)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_DEFAULT		(11)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_VER_MSB_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_MAX_FRAME_CONFIG, CR_MSVDX_HOR_MSB */
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_MASK		(0x0000001F)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_LSBMASK		(0x0000001F)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_SHIFT		(0)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_LENGTH		(5)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_DEFAULT		(11)
#define PVDEC_PIXEL_CR_MAX_FRAME_CONFIG_CR_MSVDX_HOR_MSB_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_OFFSET		(0x00E0)

/* PVDEC_PIXEL, CR_VDMC_VDEB_COMMAND_SIGNATURE, CR_VDMC_VDEB_COMMAND_SIGNATURE */
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_SHIFT		(0)
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_LENGTH		(32)
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_DEFAULT		(0)
#define PVDEC_PIXEL_CR_VDMC_VDEB_COMMAND_SIGNATURE_CR_VDMC_VDEB_COMMAND_SIGNATURE_SIGNED_FIELD	(0)

#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_OFFSET		(0x00FC)

/* PVDEC_PIXEL, CR_PIXEL_MEMORY_DEBUG2, CR_VDEB_OUTSTANDING_READ_REQS */
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_MASK		(0xFF000000)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_LSBMASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_SHIFT		(24)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_LENGTH		(8)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDEB_OUTSTANDING_READ_REQS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MEMORY_DEBUG2, CR_VDMC_OUTSTANDING_READ_REQS */
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_MASK		(0x00FF0000)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_LSBMASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_SHIFT		(16)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_LENGTH		(8)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VDMC_OUTSTANDING_READ_REQS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MEMORY_DEBUG2, CR_VEC_OUTSTANDING_READ_REQS */
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_MASK		(0x0000FF00)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_LSBMASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_SHIFT		(8)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_LENGTH		(8)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_VEC_OUTSTANDING_READ_REQS_SIGNED_FIELD	(0)

/* PVDEC_PIXEL, CR_PIXEL_MEMORY_DEBUG2, CR_DMAC_OUTSTANDING_READ_REQS */
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_MASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_LSBMASK		(0x000000FF)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_SHIFT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_LENGTH		(8)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_DEFAULT		(0)
#define PVDEC_PIXEL_CR_PIXEL_MEMORY_DEBUG2_CR_DMAC_OUTSTANDING_READ_REQS_SIGNED_FIELD	(0)

#endif /* _IMG_PVDEC_PIXEL_REGS_H */
